package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-04-24
 */
public class UserWithDrawDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Hidden
    @Schema(description = "用户id(非必填)")
    private Long userId;

    @Schema(description = "提现金额")
    private Double amount;

    @Schema(description = "银行卡号")
    private String bankCardNo;

    @Schema(description = "订单号")
    private String bizOrderNo;

    @Schema(description = "短信验证码")
    private String verificationCode;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public String getBizOrderNo() {
        return bizOrderNo;
    }

    public void setBizOrderNo(String bizOrderNo) {
        this.bizOrderNo = bizOrderNo;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    @Override
    public String toString() {
        return "UserWithDrawDTO{" +
                "userId=" + userId +
                ", amount=" + amount +
                ", bankCardNo='" + bankCardNo + '\'' +
                ", bizOrderNo='" + bizOrderNo + '\'' +
                ", verificationCode='" + verificationCode + '\'' +
                '}';
    }
}
